Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPApplicationSingle

    java.lang.Object
      com.verisign.epp.interfaces.EPPApplication
          com.verisign.epp.interfaces.EPPApplicationSingle

    public class EPPApplicationSingle

extends EPPApplication

Singleton class for `EPPApplication` that is used to initialize the EPP SDK.

Method Summary
`static EPPApplicationSingle` | `getInstance()` Method to get the Singleton instance of `EPPApplicationSingle`.

Methods inherited from class com.verisign.epp.interfaces.EPPApplication
`endApplication, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EPPApplicationSingle getInstance()

  Method to get the Singleton instance of `EPPApplicationSingle`.

  Returns:
    an instance of `EPPApplicationSingle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.